Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681586 - =sys-fs/udev-init-scripts-33 with sys-fs/udev - system in unstable state after udev restart
Summary: =sys-fs/udev-init-scripts-33 with sys-fs/udev - system in unstable state afte...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: udev maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-23 23:27 UTC by Tomáš Mózes
Modified: 2019-05-06 19:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2019-03-23 23:27:59 UTC
I've distfiles on a glusterfs server and is mounted to save bandwidth during regular updates. As part of regular maintenance after a @world update I restart the services (via app-admin/restart-services). After upgrading to =sys-fs/udev-init-scripts-33 this causes random process killing (most notably syslog-ng and sshd).

How to reproduce:
mount /usr/portage/distfiles
emerge util-linux
restart-services (restarts udev)
umount /usr/portage/distfiles
Connection to ssh.example.com closed by remote host.
Connection to ssh.example.com closed.

The killing combination is =sys-fs/udev-init-scripts-33 with sys-fs/udev
=sys-fs/udev-init-scripts-32 with sys-fs/udev = OK
=sys-fs/udev-init-scripts-3[23] with sys-fs/eudev = OK
Comment 1 Daniel M. Weeks 2019-04-03 21:19:06 UTC
I saw the same behavior where sshd died when unmounting an NFS filesystem. It is no longer an issue after downgrading to sys-fs/udev-init-scripts-32.
Comment 2 Tomáš Mózes 2019-04-03 21:37:24 UTC
I "resolved" it by migrating to eudev. Now even udev-init-scripts-33 works fine.
Comment 3 David Flogeras 2019-05-06 19:16:08 UTC
This has been plaguing me since Feb as well and I just found this bug.  I can't give proof positive it is fixed, but I can say that it only seemed to happen on machines that were old enough the udev was still the default when they were installed.  My newer hardware runs eudev and none of them had issues.

Most of mine manifested in ways like
 - random lvmetad crashes
 - sshd would crash when (among other things) mounting filesystems.  This was particularly painful on headless machines.

Thanks Tomáš for the fix/workaround!